Bug 7815 - smbclient very slow writing to win9x clients
smbclient very slow writing to win9x clients
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-15 13:42 EST by Mark Cooke
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-01 23:56:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Cooke 1999-12-15 13:42:38 EST
Hi there,

Using smbclient to connect to shares on Win9x clients results in writing
at a speed of 10K per second, compared to read speeds of 5-600K per second.

This appears to be a samba versions 2.0.3 to 2.0.5 bad interaction with
Linux. It does not appear on a locally compiled copy of 2.0.5 on Solaris,
for instance.

Slow writing speeds are seen with the stock redhat kernel, 2.2.13, and with
the latest 2.2.14pre13 from Alan Cox. I don't have any non-i386 machines
to test other platforms with, but I would imagine that they suffer this
problem too.

The 2.0.6 release of samba does not exhibit this problem, and write speeds
of 3-400K per second are seen with RPMS compiled from the RedHat spec file,
without Patch6 (which was incorporated into samba 2.0.6 by the look of
things).

Regards,

Mark
Comment 1 Bill Nottingham 2000-02-01 23:56:59 EST
This is fixed in the samba in Raw Hide, as it's 2.0.6.

Other people have noted success with installing some of the
TCP hotfixes from Microsoft.

Note You need to log in before you can comment on or make changes to this bug.